/**
 * @file      template-file.h
 * @brief     File containing example of doxygen usage for quick reference.
 * 
 * Here typically goes a more extensive explanation of what the header defines.
 *
 * @author    Name <email@example.com>
 * @copyright (c) Company Name/ Author, YEAR
 * @copyright Licensed under the Apache License, Version 2.0 <http://www.apache.org/licenses/LICENSE-2.0>
 * @copyright Licensed under the GNU GPLv3 License <http://www.gnu.org/licenses/gpl-3.0.txt>
 */

// include system headers here

// include third party libraries here

// include locally used headers/ other module's headers here

// include the module's header last
#include "template-file.h"

/**
 * An implementation specific explanation might also be added to the source file.
 */
int add(int a, int b) {
  return a + b;
}
