# Templates for Coding Projects
Author: Jannik Beyerstedt  
**License**: CC BY 4.0

Here goes the general project description in a few sentences.
In this case, this repo collects all of the bootstrapping files needed for different programming languages.


## Installation
Just copy the files, that are needed for your project's toolchain, to your repository.


## Usage
For all projects use:
- .editorconfig (VS Code Extension: `editorconfig.editorconfig`)

For C/C++ use:
- .clang-format (VS Code Extensions: `ms-vscode.cpptools`, optionally `ms-vscode.cmake-tools`, `twxs.cmake`)

For Python use:
- .pep8 (VS Code Extensions: `ms-python.python`. PIP Package: `autopep8`)
- pylintrc (VS Code Extensions: `ms-python.python`. PIP Package: `pylint`)

